Name:           libgit2
Version:        0.17.0
Release:        1%{?dist}
Summary:        Pure C implementation of the Git core methods

License:        GPLv2
URL:            http://libgit2.github.com/
# Source are retrieved using the link https://github.com/libgit2/libgit2/tarball/v0.17.0
# The md5sum seems to be consistent over time.
Source0:        libgit2-libgit2-v0.17.0-0-g5b9fac3.tar.gz

BuildRequires:  cmake
Requires:       git

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language with
bindings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libgit2-libgit2-5b9fac3

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_exec_prefix}/pkgconfig/
mv $RPM_BUILD_ROOT/%{_exec_prefix}/lib/*.so* $RPM_BUILD_ROOT/%{_libdir}
mv $RPM_BUILD_ROOT/%{_exec_prefix}/lib/pkgconfig/ $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/

%check
ctest

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md COPYING AUTHORS
%{_libdir}/*.so.*

%files devel
%doc CONVENTIONS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Jul 4 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.17.0-1
- Initial packaging work
